# HG changeset patch
# Node ID 52557364557b
# Parent  a19124bb3621
diff --git a/finch/meson.build b/finch/meson.build
--- a/finch/meson.build
+++ b/finch/meson.build
@@ -73,7 +73,7 @@ if not ncurses_available
 	error('ncurses could not be found!')
 endif
 
-ncurses_header = '-DNCURSES_HEADER="@0@"'.format(ncurses_header)
+ncurses_header = f'-DNCURSES_HEADER="@ncurses_header@"'
 enable_consoleui = true
 
 
@@ -157,7 +157,7 @@ libfinch_built_headers += libfinch_enums
 
 FINCH_H_INCLUDES = []
 foreach header : libfinch_headers + ['finchenums.h']
-	FINCH_H_INCLUDES += '#include <finch/@0@>'.format(header)
+	FINCH_H_INCLUDES += f'#include <finch/@header@>'
 endforeach
 finch_h_conf = configuration_data()
 finch_h_conf.set('FINCH_H_INCLUDES', '\n'.join(FINCH_H_INCLUDES))
@@ -198,8 +198,7 @@ if enable_introspection
 	    symbol_prefix : 'finch',
 	    identifier_prefix : 'Finch',
 	    export_packages : 'finch-3',
-	    nsversion : '@0@.@1@'.format(purple_major_version,
-	                                 purple_minor_version),
+	    nsversion : f'@purple_major_version@.@purple_minor_version@',
 	    dependencies: [libgnt_dep, gplugin_dep, libpurple_dep],
 	    install : true,
 	    extra_args : ['-DFINCH_COMPILATION', '--quiet'])
@@ -234,6 +233,6 @@ pkgconfig.generate(
     subdirs : 'finch-3',
     # NOTE: Don't use gnt from pkgconfig, as it might be a subproject.
     requires : ['gnt', libpurple],
-    variables : ['plugindir=${libdir}/finch-@0@'.format(purple_major_version)])
+    variables : [f'plugindir=${libdir}/finch-@purple_major_version@'])
 
 subdir('plugins')
diff --git a/libpurple/meson.build b/libpurple/meson.build
--- a/libpurple/meson.build
+++ b/libpurple/meson.build
@@ -223,7 +223,7 @@ purple_resource = gnome.compile_resource
 	c_name : 'purple')
 purple_coresources += purple_resource
 
-purple_filebase = 'purple-@0@'.format(purple_major_version)
+purple_filebase = f'purple-@purple_major_version@'
 purple_include_base = purple_filebase / 'libpurple'
 
 if IS_WIN32
@@ -283,7 +283,7 @@ enums_h = enums[1]
 
 PURPLE_H_INCLUDES = []
 foreach header : purple_coreheaders + purple_mediaheaders + ['version.h', 'purpleenums.h']
-	PURPLE_H_INCLUDES += '#include <libpurple/@0@>'.format(header)
+	PURPLE_H_INCLUDES += f'#include <libpurple/@header@>'
 endforeach
 purple_h_conf = configuration_data()
 purple_h_conf.set('PURPLE_H_INCLUDES', '\n'.join(PURPLE_H_INCLUDES))
@@ -356,8 +356,7 @@ if enable_introspection
 	    symbol_prefix : 'purple',
 	    identifier_prefix : 'Purple',
 	    export_packages : purple_filebase,
-	    nsversion : '@0@.@1@'.format(purple_major_version,
-	                                 purple_minor_version),
+	    nsversion : f'@purple_major_version@.@purple_minor_version@',
 	    dependencies: [gplugin_dep],
 	    install : true,
 	    extra_args : ['-DPURPLE_COMPILATION', '--quiet'])
diff --git a/libpurple/protocols/facebook/meson.build b/libpurple/protocols/facebook/meson.build
--- a/libpurple/protocols/facebook/meson.build
+++ b/libpurple/protocols/facebook/meson.build
@@ -49,8 +49,7 @@ if DYNAMIC_FACEBOOK
 		    namespace : 'Facebook',
 		    symbol_prefix : 'fb',
 		    identifier_prefix : 'Fb',
-		    nsversion : '@0@.@1@'.format(purple_major_version,
-		                                 purple_minor_version),
+		    nsversion : f'@purple_major_version@.@purple_minor_version@',
 		    dependencies: [gplugin_dep, libpurple_dep],
 		    install : false,
 		    extra_args : ['-DPURPLE_COMPILATION', '--quiet'])
diff --git a/libpurple/protocols/ircv3/tests/meson.build b/libpurple/protocols/ircv3/tests/meson.build
--- a/libpurple/protocols/ircv3/tests/meson.build
+++ b/libpurple/protocols/ircv3/tests/meson.build
@@ -4,9 +4,9 @@ TESTS = [
 
 foreach prog : TESTS
 	e = executable(
-		'test_ircv3_' + prog, 'test_ircv3_@0@.c'.format(prog),
+		f'test_ircv3_@prog@', f'test_ircv3_@prog@.c',
 		dependencies : [libpurple_dep, glib],
 		objects : ircv3_prpl.extract_all_objects())
 
-	test('ircv3_' + prog, e)
+	test(f'ircv3_@prog@', e)
 endforeach
diff --git a/libpurple/protocols/jabber/tests/meson.build b/libpurple/protocols/jabber/tests/meson.build
--- a/libpurple/protocols/jabber/tests/meson.build
+++ b/libpurple/protocols/jabber/tests/meson.build
@@ -1,12 +1,11 @@
 foreach prog : ['caps', 'digest_md5', 'scram', 'jutil']
 	e = executable(
-	    'test_jabber_' + prog, 'test_jabber_@0@.c'.format(prog),
+	    f'test_jabber_@prog@', f'test_jabber_@prog@.c',
 	    link_with : [jabber_prpl],
 	    dependencies : [libxml, libpurple_dep, libsoup, glib])
 
 	jabberenv = environment()
 	jabberenv.set('XDG_CONFIG_DIR', meson.current_build_dir() / 'config')
 
-	test('jabber_' + prog, e,
-	    env: jabberenv)
+	test(f'jabber_@prog@', e, env: jabberenv)
 endforeach
diff --git a/libpurple/tests/meson.build b/libpurple/tests/meson.build
--- a/libpurple/tests/meson.build
+++ b/libpurple/tests/meson.build
@@ -42,7 +42,7 @@ test_ui = static_library(
 testenv.set('XDG_CONFIG_HOME', meson.current_build_dir() / 'config')
 
 foreach prog : PROGS
-    e = executable('test_' + prog, 'test_@0@.c'.format(prog),
+    e = executable(f'test_@prog@', f'test_@prog@.c',
                    c_args : [
                        '-DTEST_DATA_DIR="@0@/data"'.format(meson.current_source_dir())
                    ],
diff --git a/meson.build b/meson.build
--- a/meson.build
+++ b/meson.build
@@ -46,7 +46,7 @@ add_project_arguments([
 	'-DVERSION="@0@"'.format(meson.project_version()),
 	'-DDISPLAY_VERSION="@0@"'.format(meson.project_version()),
 	'-DPURPLE_WEBSITE="https://pidgin.im/"',
-	'-DGETTEXT_PACKAGE="@0@"'.format(GETTEXT_PACKAGE)],
+	f'-DGETTEXT_PACKAGE="@GETTEXT_PACKAGE@"'],
 	language : 'c')
 conf = configuration_data()
 man_conf = configuration_data()
@@ -65,9 +65,7 @@ version_conf.set('PURPLE_EXTRA_VERSION',
 version_conf.set('PURPLE_VERSION', meson.project_version())
 version_conf.set('PURPLE_API_VERSION', purple_soversion)
 
-PURPLE_LIB_VERSION = '@0@.@1@.@2@'.format(purple_soversion,
-                                          purple_minor_version,
-                                          purple_micro_version)
+PURPLE_LIB_VERSION = f'@purple_soversion@.@purple_minor_version@.@purple_micro_version@'
 
 package_revision = vcs_tag(
     input : 'package_revision.h.in',
@@ -107,7 +105,7 @@ if host_machine.system() == 'windows'
 	conf.set('WIN32_LEAN_AND_MEAN', true)
 
 	conf.set('LIBPIDGIN_DLL_NAMEW',
-	    'L"libpidgin3-@0@.dll"'.format(purple_soversion))
+	    f'L"libpidgin3-@purple_soversion@.dll"')
 else
 	IS_WIN32 = false
 	ws2_32 = []
@@ -133,11 +131,11 @@ if IS_WIN32
 	endforeach
 
 	conf.set('PURPLE_LIBDIR',
-		 'wpurple_lib_dir("purple-@0@")'.format(purple_major_version))
+		 f'wpurple_lib_dir("purple-@purple_major_version@")')
 	conf.set('PIDGIN_LIBDIR',
-		 'wpurple_lib_dir("pidgin-@0@")'.format(purple_major_version))
+		 f'wpurple_lib_dir("pidgin-@purple_major_version@")')
 	conf.set('FINCH_LIBDIR',
-		 'wpurple_lib_dir("finch-@0@")'.format(purple_major_version))
+		 f'wpurple_lib_dir("finch-@purple_major_version@")')
 
 	conf.set('PURPLE_DATADIR', 'wpurple_data_dir()')
 	conf.set('PURPLE_SYSCONFDIR', 'wpurple_sysconf_dir()')
@@ -150,19 +148,19 @@ else
 
 	common_libdir = get_option('prefix') / get_option('libdir')
 	conf.set_quoted('PURPLE_LIBDIR',
-	                common_libdir / 'purple-@0@'.format(purple_major_version))
+	                common_libdir / f'purple-@purple_major_version@')
 	conf.set_quoted('PIDGIN_LIBDIR',
-	                common_libdir / 'pidgin-@0@'.format(purple_major_version))
+	                common_libdir / f'pidgin-@purple_major_version@')
 	conf.set_quoted('FINCH_LIBDIR',
-	                common_libdir / 'finch-@0@'.format(purple_major_version))
+	                common_libdir / f'finch-@purple_major_version@')
 endif
 
 abslibdir = get_option('prefix') / get_option('libdir')
-PURPLE_PLUGINDIR = abslibdir / 'purple-@0@'.format(purple_major_version)
+PURPLE_PLUGINDIR = abslibdir / f'purple-@purple_major_version@'
 conf.set_quoted('PURPLE_PLUGINDIR', PURPLE_PLUGINDIR)
-PIDGIN_PLUGINDIR = abslibdir / 'pidgin-@0@'.format(purple_major_version)
+PIDGIN_PLUGINDIR = abslibdir / f'pidgin-@purple_major_version@'
 conf.set_quoted('PIDGIN_PLUGINDIR', PIDGIN_PLUGINDIR)
-FINCH_PLUGINDIR = abslibdir / 'finch-@0@'.format(purple_major_version)
+FINCH_PLUGINDIR = abslibdir / f'finch-@purple_major_version@'
 conf.set_quoted('FINCH_PLUGINDIR', FINCH_PLUGINDIR)
 
 # Check for socklen_t (in Unix98)
@@ -188,7 +186,7 @@ endif
 # Some systems do not have sa_len field for struct sockaddr.
 conf.set('HAVE_STRUCT_SOCKADDR_SA_LEN',
     compiler.has_member('struct sockaddr', 'sa_len',
-        prefix : '#include <@0@>'.format(socket_header)))
+        prefix : f'#include <@socket_header@>'))
 
 # Windows and Haiku do not use libm for the math functions, they are part
 # of the C library
@@ -479,7 +477,7 @@ else
 		'-DHAVE_CONFIG_H=1',
 		'-DDISPLAY_VERSION="@0@"'.format(meson.project_version()),
 		'-DPURPLE_WEBSITE="https://pidgin.im/"',
-		'-DGETTEXT_PACKAGE="@0@"'.format(GETTEXT_PACKAGE)],
+		f'-DGETTEXT_PACKAGE="@GETTEXT_PACKAGE@"'],
 		language : 'cpp')
 
 	qt5 = import('qt5')
diff --git a/pidgin/data/icons/meson.build b/pidgin/data/icons/meson.build
--- a/pidgin/data/icons/meson.build
+++ b/pidgin/data/icons/meson.build
@@ -4,12 +4,12 @@ ICONS = [
 
 foreach icon : ICONS
 	foreach size : [16, 24, 48, 64, 96, 128, 256, 512]
-		path = 'hicolor/@0@x@0@/apps'.format(size)
-		install_data(path / '@0@.png'.format(icon),
+		path = f'hicolor/@size@x@size@/apps'
+		install_data(path / f'@icon@.png',
 		    install_dir : get_option('datadir') / 'icons' / path)
 	endforeach
 	path = 'hicolor/scalable/apps'
-	install_data(path / '@0@.svg'.format(icon),
+	install_data(path / f'@icon@.svg',
 	    install_dir : get_option('datadir') / 'icons' / path)
 endforeach
 
diff --git a/pidgin/meson.build b/pidgin/meson.build
--- a/pidgin/meson.build
+++ b/pidgin/meson.build
@@ -199,7 +199,7 @@ libpidgin_enums_h = libpidgin_enums[1]
 
 PIDGIN_H_INCLUDES = []
 foreach header : libpidgin_headers + libpidgin_prefs_headers + ['pidginenums.h']
-	PIDGIN_H_INCLUDES += '#include <pidgin/@0@>'.format(header)
+	PIDGIN_H_INCLUDES += f'#include <pidgin/@header@>'
 endforeach
 pidgin_h_conf = configuration_data()
 pidgin_h_conf.set('PIDGIN_H_INCLUDES', '\n'.join(PIDGIN_H_INCLUDES))
@@ -267,7 +267,7 @@ pkgconfig.generate(
     subdirs : pidgin_filebase,
     # NOTE: Don't use dependencies from subprojects.
     requires : [gtk, libadwaita, libpurple, 'talkatu', 'gplugin-gtk4'],
-    variables : ['plugindir=${libdir}/pidgin-@0@'.format(purple_major_version)])
+    variables : [f'plugindir=${libdir}/pidgin-@purple_major_version@'])
 
 PIDGIN_DESKTOP_FILE = 'im.pidgin.Pidgin3.desktop'
 i18n = import('i18n')
@@ -300,9 +300,8 @@ if enable_introspection
 		namespace : 'Pidgin',
 		symbol_prefix : 'pidgin',
 		identifier_prefix : 'Pidgin',
-		export_packages : 'pidgin-@0@'.format(purple_major_version),
-		nsversion : '@0@.@1@'.format(purple_major_version,
-		                             purple_minor_version),
+		export_packages : f'pidgin-@purple_major_version@',
+		nsversion : f'@purple_major_version@.@purple_minor_version@',
 		dependencies : [gplugin_dep, gplugin_gtk_dep, talkatu_dep, libpurple_dep],
 		install : true,
 		extra_args : ['-DPIDGIN_COMPILATION', '--quiet'])
